%define upstream_name CAS
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

%define __requires_exclude_from ^%{_datadir}/.*$

%define php_libdir     %{_datadir}/php
Name:       php-pear-%{upstream_name}
Summary:    Central Authentication Service client library in php
Version:    1.3.6
Release:    %mkrel 1
License:    Apache 2.0 License
Group:      Development/PHP
URL:        https://wiki.jasig.org/display/CASC/phpCAS
Source0:    https://github.com/apereo/phpCAS/archive/%{version}.tar.gz
BuildRequires:  php-composer(theseer/autoload)
Requires:		php
BuildArch:  noarch
Provides:   php-composer(jasig/phpcas) = %{version}
Provides:   php-composer(phpcas) = %{version}

%description
This package is a installable library for using a Central
Authentication Service.

Autoloader '%{php_libdir}/cas/CAS/Autoload.php';

%prep
%setup -qn phpCAS-%{version}

%build

%install
mkdir -p   %{buildroot}%{php_libdir}/cas
cp -pr source/* %{buildroot}%{php_libdir}/cas


%post
if [ -x %{_bindir}/pear ]; then
  %{_bindir}/pear uninstall --nodeps --ignore-errors --register-only CAS >/dev/null || :
fi

%files
%doc composer.json LICENSE README.md NOTICE
%{php_libdir}/cas



%changelog
* Sat Nov 10 2018 mokraemer <mokraemer> 1.3.6-1.mga6
+ Revision: 1329335
- updated to 1.3.6, mga#23833

* Mon Apr 24 2017 neoclust <neoclust> 1.3.5-1.mga6
+ Revision: 1097194
- New version 1.3.5 - Fixes CVEs (mga#20722)

* Wed Apr 19 2017 guillomovitch <guillomovitch> 1.3.4-4.mga6
+ Revision: 1096851
- add autoloader
- switch to new PHP dependencies syntax

* Tue Nov 08 2016 neoclust <neoclust> 1.3.4-3.mga6
+ Revision: 1065992
- Fix Requires to fix %%post
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Nov 20 2015 spuhler <spuhler> 1.3.4-1.mga6
+ Revision: 904663
- upgrade to vers. 1.3.4

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-4.mga5
+ Revision: 746268
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 guillomovitch <guillomovitch> 1.3.3-3.mga5
+ Revision: 724641
- fix automatic dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-2.mga5
+ Revision: 687180
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Aug 06 2014 spuhler <spuhler> 1.3.3-1.mga5
+ Revision: 660072
- update to ver. 1.3.3

* Fri Oct 18 2013 umeabot <umeabot> 1.3.2-3.mga4
+ Revision: 516531
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3.2-2.mga3
+ Revision: 375883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 luigiwalser <luigiwalser> 1.3.2-1.mga3
+ Revision: 338345
- 1.3.2 (fixes CVE-2012-5583)

* Sun Oct 28 2012 spuhler <spuhler> 1.3.1-2.mga3
+ Revision: 311124
- added exception pear(CAS.php/CAS/Autoload.php)
  bumped rel

* Sat Oct 27 2012 spuhler <spuhler> 1.3.1-1.mga3
+ Revision: 310791
- imported package php-pear-CAS

